
Figure - Bug #117269
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111046 (New): AF-V2.0-系统手势

【AF】【EVT】【系统手势】在非多任务管理页面，4指/5指抓返回桌面小概率性失败
2023-03-30 17:00 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-03-30

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0086.C102(X102)

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-04-11

Test Type: Release Test Root cause: 回到桌面条件未触发导致。

Description

【测试步骤】

进入多任务管理页，使用四指或五指抓

【预期结果】

返回桌面

【测试结果】

返回桌面成功率低，操作6次成功1次

History

#1 - 2023-03-31 15:49 - CD FW王武军

【】当前状态

1、分析视频和五指的手势的功能表现

多任务界面在home中目前的实现方式是view的方式挂载在home上的，它不是一个单独activity界面或者单独的应用界面。

五指手势的功能是针对于应用界面的，用于应用界面回到home界面。

所以在多任务界面，五指是不会启动作用的，至于有时候可以返回，是因为在五指手势的时候，因为手势的操作的原因，直接

触发了点击操作，因为点击操作可以直接返回home。

2、处理策略

1、多任务界面不需要处理五指手势的响应，多任务界面返回home通过点击方式。

2、该票维持现状，不用特殊处理。

#2 - 2023-03-31 17:17 - 物联网测试组_CDTS  唐霞 

- File 331-22.7z added

- File 非多任务页四五指抓概率不返回桌面.mp4 added

非多任务页，四指/五指抓也存在概率不能返回桌面的情况

#3 - 2023-04-08 16:59 - CDTS-TEST 周婷

- Severity changed from Normal to Major

#4 - 2023-04-08 17:18 - CD TPM-王祥林

2025-07-05 1/3



- Subject changed from 【AF】【EVT】【系统手势】在多任务管理页面，4指/5指抓返回桌面成功率很低（1/6） to 【AF】【EVT】【系统手势】在多任务

管理页面，4指/5指抓返回桌面成功率很低（5/6）

#5 - 2023-04-08 17:19 - CDTS-TEST 周婷

- Subject changed from 【AF】【EVT】【系统手势】在多任务管理页面，4指/5指抓返回桌面成功率很低（5/6） to 【AF】【EVT】【系统手势】在多任务

管理页面，4指/5指抓返回桌面成功率很低，使用6次才成功1次（5/6）

#6 - 2023-04-10 09:51 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW王武军 to CD FW-廖涛

#7 - 2023-04-10 20:14 - CD FW-廖涛

■ My analysis

通过查看测试提供的操作视频以及自己测试，手势完成后没有回到桌面可能的情况如下：

五指触发，操作过程 ，手指放松致使触摸点少于四个，操作取消；

五指触发，操作过程中滑动距离没有达到回到桌面的阈值，操作取消；

五指触发，操作过程中，滑动有反向或抖动，导致操作取消；

■ Next action

找到触发五指手势回到桌面的阈值，通过调整阈值进行微调优化；

#8 - 2023-04-11 14:20 - CD FW-廖涛

- Subject changed from 【AF】【EVT】【系统手势】在多任务管理页面，4指/5指抓返回桌面成功率很低，使用6次才成功1次（5/6） to 【AF】【EVT】【

系统手势】在非多任务管理页面，4指/5指抓返回桌面小概率性失败

- Severity changed from Major to Normal

#9 - 2023-04-11 17:37 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

192981 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Launcher: Fix problem that the five-finger gesture has a small probability of failure.TC-RID: 0301-0205203IssueID: TS-R-BUG-117269Change-Id:

I09e76c6d82b55a61bf8277da3f6f0ec0e1b2ca0e

#10 - 2023-04-11 17:45 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to 物联网测试组_CDTS  唐霞 

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-11

- Root cause set to 回到桌面条件未触发导致。

■ Current conclusion

已处理，代码已入库。
■ My analysis

根据分析：触发回到桌面有两个条件，满足其一或都满足则可以回到桌面。

1. 滑动速度大于 0.75 px/ms，且手势为捏合；

2. 滑动距离大于等于总距离的 0.7倍（总距离根据屏幕高度与 App Icon 在桌面的位置计算所得）；

所以如果执行五指手势操作是，不满足以上任一一个条件，则无法触发回到桌面。

本次优化：

由于之前的五指手势没有获取到滑动速度，所以滑动速度一直是 0，导致快速滑动执行五指手势时，因滑动距离不够导致没有回到桌面，不符合预期，

针对这个情况，做了优化，通过滑动操作时间和距离，计算了滑动速度。

■ Next action

测试验证。

#11 - 2023-04-12 19:29 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

验证通过，关闭问题单

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202304120453

#12 - 2023-04-12 19:30 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

验证通过，关闭

Files

45指抓返回桌面成功率低.mp4 8.83 MB 2023-03-30 物联网测试组_CDTS  唐霞 

331-22.7z 1.19 MB 2023-03-31 物联网测试组_CDTS  唐霞 

非多任务页四五指抓概率不返回桌面.mp4 20 MB 2023-03-31 物联网测试组_CDTS  唐霞 
